Bug 185886 - Fix editors/openoffice-4 port to build on FreeBSD-current post-gcc removal
Summary: Fix editors/openoffice-4 port to build on FreeBSD-current post-gcc removal
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Office Team (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-19 17:40 UTC by Alexander Kabaev
Modified: 2014-01-22 22:05 UTC (History)
0 users

See Also:


Attachments
file.diff (5.33 KB, patch)
2014-01-19 17:40 UTC, Alexander Kabaev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kabaev freebsd_committer 2014-01-19 17:40:00 UTC
Attached please find a small patch that makes editors/openoffice-4 port
build on systems with no 'gcc' binary in path, such as FreeBSD
11-current. There was one place in nss that did not respect CC/CXX env
variables and thus failed to pick up gcc46/g++46 overrides used to
build the port on such systems.

Also included are changes to cope with recent freetype header re-arrangement to allow built-in mozilla and vcl components to compile.

Fix: Attached patch makes it compile again.

Patch attached with submission follows:
How-To-Repeat: Build editors/openoffice-4 on current and observe it to NOT build. Must be familiar sight by now.
Comment 1 Edwin Groothuis freebsd_committer 2014-01-19 17:43:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->office

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 me 2014-01-20 13:06:12 UTC
I have done something very similar in ports/185401 about three weeks
ago. Although the port seems to be broken not only on 10 (or current),
no one picked it up. Maybe anyone could use a maintainer timeout? (You
are @FreeBSD, or is it only for src?)

I am not sure, which of the patches is more correct: Since freetype2/ is
already searched, I have removed the freetype/ as it was done in the
freetype port, while you inserted freetype2/ coming from the level above.
Comment 3 Alexander Kabaev freebsd_committer 2014-01-22 22:03:39 UTC
State Changed
From-To: open->closed

Overtaken by earlier PR, which is essentially the same.